# Configuration file

automation {
    I:formationPlaneEntityLimit=128
}


battery {
    I:chargedStaff=8000
    I:colorApplicator=20000
    I:entropyManipulator=200000
    I:matterCannon=200000
    I:portableCell=20000
    I:wirelessTerminal=1600000
}


client {
    # Possible Values: AE, EU, RF
    S:PowerUnit=RF

    # Possible Values: AUTOSEARCH, AUTOSEARCH_KEEP, MANUAL_SEARCH, MANUAL_SEARCH_KEEP, JEI_AUTOSEARCH, JEI_AUTOSEARCH_KEEP, JEI_MANUAL_SEARCH, JEI_MANUAL_SEARCH_KEEP
    S:SEARCH_MODE=AUTOSEARCH

    # Possible Values: YES, NO, UNDECIDED
    S:SEARCH_TOOLTIPS=YES

    # Possible Values: TALL, FULL, SMALL
    S:TERMINAL_STYLE=TALL

    # Controls buttons on Crafting Screen : Capped at 9
    I:craftAmtButton1=1

    # Controls buttons on Crafting Screen : Capped at 99
    I:craftAmtButton2=10

    # Controls buttons on Crafting Screen : Capped at 999
    I:craftAmtButton3=100

    # Controls buttons on Crafting Screen : Capped at 9999
    I:craftAmtButton4=1000
    B:disableColoredCableRecipesInJEI=true
    B:enableEffects=true

    # Controls buttons on Level Emitter Screen : Capped at 9
    I:levelAmtButton1=1

    # Controls buttons on Level Emitter Screen : Capped at 99
    I:levelAmtButton2=10

    # Controls buttons on Level Emitter Screen : Capped at 999
    I:levelAmtButton3=100

    # Controls buttons on Level Emitter Screen : Capped at 9999
    I:levelAmtButton4=1000

    # Controls buttons on Priority Screen : Capped at 9
    I:priorityAmtButton1=1

    # Controls buttons on Priority Screen : Capped at 99
    I:priorityAmtButton2=10

    # Controls buttons on Priority Screen : Capped at 999
    I:priorityAmtButton3=100

    # Controls buttons on Priority Screen : Capped at 9999
    I:priorityAmtButton4=1000
    B:useColoredCraftingStatus=true
    B:useTerminalUseLargeFont=false
}


condenser {
    I:MatterBalls=256
    I:Singularity=256000
}


craftingcpu {
    I:craftingCalculationTimePerTick=5
}


##########################################################################################################
# features
#--------------------------------------------------------------------------------------------------------#
# Warning: Disabling a feature may disable other features depending on it.
##########################################################################################################

features {

    world {
        B:CertusOre=true
        B:CertusQuartzWorldGen=true
        B:ChargedCertusOre=true
        B:ChestLoot=true

        # Blocks that are not used in any essential recipes, also slabs and stairs.
        B:DecorativeBlocks=true
        B:DecorativeLights=true
        B:Flour=true
        B:MeteoriteWorldGen=true
        B:SkyStoneChests=true
        B:SpawnPressesInMeteorites=true
        B:TinyTNT=true
        B:VillagerTrading=true
    }

    machines {
        B:Charger=true
        B:CrystalGrowthAccelerator=true
        B:GrindStone=true
        B:Inscriber=true
        B:VibrationChamber=true
    }

    toolsclassifications {
        B:CertusQuartzTools=true
        B:NetherQuartzTools=true
        B:PoweredTools=true
    }

    tools {
        B:ChargedStaff=true
        B:ColorApplicator=true
        B:EntropyManipulator=true
        B:MatterCannon=true
        B:MeteoriteCompass=true
        B:PaintBalls=true
        B:QuartzAxe=true
        B:QuartzHoe=true
        B:QuartzKnife=true
        B:QuartzPickaxe=true
        B:QuartzSpade=true
        B:QuartzSword=true
        B:QuartzWrench=true
        B:WirelessAccessTerminal=true
    }

    networkfeatures {
        B:Channels=true
        B:QuantumNetworkBridge=true
        B:Security=true
        B:SpatialIO=true
    }

    networkbuses {
        B:AnnihilationPlane=true
        B:CableAnchor=true
        B:CraftingTerminal=true
        B:ExportBus=true
        B:FluidAnnihilationPlane=true
        B:FluidExportBus=true
        B:FluidFormationPlane=true
        B:FluidImportBus=true
        B:FluidInterface=true
        B:FluidLevelEmitter=true
        B:FluidStorageBus=true
        B:FluidTerminal=true
        B:FormationPlane=true
        B:IdentityAnnihilationPlane=true
        B:ImportBus=true
        B:Interface=true
        B:LevelEmitter=true
        B:P2PTunnel=true
        B:Panels=true
        B:PartConversionMonitor=true
        B:QuartzFiber=true
        B:StorageBus=true
        B:StorageMonitor=true
        B:Terminal=true
        B:ToggleBus=true
    }

    portablecell {
        B:PortableCell=true
    }

    storage {
        B:Condenser=true
        B:IOPort=true
        B:MEChest=true
        B:MEDrive=true
        B:StorageCells=true
    }

    networktool {
        B:MemoryCard=true
        B:NetworkTool=true
    }

    cables {
        B:CoveredCables=true
        B:DenseCables=true
        B:GlassCables=true
        B:SmartCables=true
    }

    energy {
        B:DenseEnergyCells=true
        B:EnergyAcceptor=true
        B:EnergyCells=true
    }

    p2ptunnels {
        B:P2PTunnelEU=true
        B:P2PTunnelFE=true
        B:P2PTunnelFluids=true
        B:P2PTunnelItems=true
        B:P2PTunnelLight=true
        B:P2PTunnelME=true
        B:P2PTunnelOpenComputers=true
        B:P2PTunnelPressure=true
        B:P2PTunnelRedstone=true
    }

    blockfeatures {
        B:MassCannonBlockDamage=true
        B:TinyTNTBlockDamage=true
    }

    facades {
        B:Facades=true
    }

    misc {
        B:Achievements=true
        B:CraftingLog=false
        B:Creative=true
        B:DebugLogging=false
        B:GrinderLogging=false
        B:IntegrationLogging=false
        B:LightDetector=true
        B:LogSecurityAudits=false
        B:Logging=true
        B:PacketLogging=false
        B:UnsupportedDeveloperTools=false
        B:UpdateLogging=false
        B:WebsiteRecipes=false
    }

    crafting {
        B:EnableDisassemblyCrafting=true
        B:EnableFacadeCrafting=true
        B:InWorldFluix=true
        B:InWorldPurification=true
        B:InWorldSingularity=true
        B:InterfaceTerminal=true
    }

    rendering {
        B:AlphaPass=true
    }

    craftingfeatures {
        B:CraftingCPU=true

        # Use CraftingManager to find an alternative recipe, after a pattern rejected an ingredient. Should be enabled to avoid issues, but can have a minor performance impact.
        B:CraftingManagerFallback=true
        B:MolecularAssembler=true
        B:Patterns=true
    }

    upgrades {
        B:AdvancedCards=true
        B:BasicCards=true
        B:ViewCell=true
    }

    materials {
        B:Certus=true
        B:CrystalSeeds=true
        B:Dusts=true
        B:Fluix=true
        B:Nuggets=true
        B:PureCrystals=true
        B:QuartzGlass=true
        B:Silicon=true
        B:SkyStone=true
    }

    craftingcomponents {
        B:Cores=true
        B:MatterBall=true
        B:Presses=true
        B:PrintedCircuits=true
        B:Processors=true
    }

    commands {
        B:ChunkLoggerTrace=false
    }

}


general {
    # Will auto-remove items that crash when being loaded from storage. This will destroy those items instead of crashing the game!
    B:removeCrashingItemsOnLoad=false
}


##########################################################################################################
# grindstone
#--------------------------------------------------------------------------------------------------------#
# Creates recipe of the following pattern automatically: '1 oreTYPE => 2 dustTYPE' and '(1 ingotTYPE or 1 crystalTYPE or 1 gemTYPE) => 1 dustTYPE'
##########################################################################################################

grindstone {
    # Blacklists the exact oredict name from being handled by any recipe.
    S:blacklist <
     >

    # The list of types to handle. Specify without a prefix like ore or dust.
    S:grinderOres <
        Obsidian
        Ender
        EnderPearl
        Coal
        Iron
        Gold
        Charcoal
        NetherQuartz
        CertusQuartz
        Wheat
        Fluix
        Copper
        Tin
        Silver
        Lead
        Bronze
        Brass
        Platinum
        Nickel
        Invar
        Aluminium
        Electrum
        Osmium
        Zinc
     >

    # Chance to actually get an output with stacksize > 1.
    D:oreDoublePercentage=90.0
}


##########################################################################################################
# modintegration
#--------------------------------------------------------------------------------------------------------#
# Valid Values are 'AUTO', 'ON', or 'OFF' - defaults to 'AUTO' ; Suggested that you leave this alone unless your experiencing an issue, or wish to disable the integration for a reason.
##########################################################################################################

modintegration {
    S:CraftTweaker=AUTO
    S:IndustrialCraft2=AUTO
    S:Mekanism=AUTO
    S:MineFactoryReloaded=AUTO
    S:OpenComputers=AUTO
    S:Railcraft=AUTO
    S:Tesla=AUTO
    S:TheOneProbe=AUTO
    S:Waila=AUTO
}


powerratios {
    D:ForgeEnergy=0.5
    D:IC2=2.0
    D:UsageMultiplier=1.0
}


spatialio {
    D:spatialPowerExponent=1.35
    D:spatialPowerMultiplier=1250.0
    I:storageDimensionID=2
    I:storageProviderID=-11
}


##########################################################################################################
# tickrates
#--------------------------------------------------------------------------------------------------------#
#  Min / Max Tickrates for dynamic ticking, most of these components also use sleeping, to prevent constant ticking, adjust with care, non standard rates are not supported or tested.
##########################################################################################################

tickrates {
    I:AnnihilationPlane.max=120
    I:AnnihilationPlane.min=2
    I:Charger.max=120
    I:Charger.min=10
    I:ExportBus.max=60
    I:ExportBus.min=5
    I:FluidExportBus.max=60
    I:FluidExportBus.min=5
    I:FluidImportBus.max=40
    I:FluidImportBus.min=5
    I:FluidStorageBus.max=60
    I:FluidStorageBus.min=5
    I:IOPort.max=5
    I:IOPort.min=1
    I:ImportBus.max=40
    I:ImportBus.min=5
    I:Inscriber.max=1
    I:Inscriber.min=1
    I:Interface.max=120
    I:Interface.min=5
    I:ItemTunnel.max=60
    I:ItemTunnel.min=5
    I:LightTunnel.max=60
    I:LightTunnel.min=5
    I:METunnel.max=20
    I:METunnel.min=5
    I:OpenComputersTunnel.max=5
    I:OpenComputersTunnel.min=1
    I:PressureTunnel.max=120
    I:PressureTunnel.min=1
    I:StorageBus.max=60
    I:StorageBus.min=5
    I:VibrationChamber.max=40
    I:VibrationChamber.min=10
}


##########################################################################################################
# wireless
#--------------------------------------------------------------------------------------------------------#
# Range= wirelessBaseRange + wirelessBoosterRangeMultiplier * Math.pow( boosters, wirelessBoosterExp )
# PowerDrain= wirelessBaseCost + wirelessCostMultiplier * Math.pow( boosters, 1 + boosters / wirelessHighWirelessCount )
##########################################################################################################

wireless {
    D:wirelessBaseCost=8.0
    D:wirelessBaseRange=32.0
    D:wirelessBoosterExp=1.5
    D:wirelessBoosterRangeMultiplier=1.0
    D:wirelessCostMultiplier=1.0
    D:wirelessTerminalDrainMultiplier=1.0
}


worldgen {
    D:meteoriteClusterChance=0.1
    I:meteoriteDimensionWhitelist <
        0
     >
    I:meteoriteMaximumSpawnHeight=180
    I:minMeteoriteDistance=707
    I:quartzOresClusterAmount=15
    I:quartzOresPerCluster=4
    D:spawnChargedChance=0.33
}


